## python-pyshortcuts 1.9.5

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

INSTALLDIR = /home/newville/public_html/pyshortcuts

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: html pdf all help clean dirhtml latex


all:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

pdf: latex
	cd $(BUILDDIR)/latex && make all-pdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pdf       pdf from latex version"
	@echo "  all       html, pdf, and doc.zip"
	@echo "  clean     to remove all output"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in _build/latex."

clean:
	-rm -rf _build/*

=== debian/changelog ===
python-pyshortcuts (1.9.5-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Fri, 08 Aug 2025 17:40:48 +0200

=== debian/control ===
Source: python-pyshortcuts
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Roland Mas <lolando@debian.org>
Homepage: https://github.com/newville/pyshortcuts
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyshortcuts.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyshortcuts
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyshortcuts
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Create shortcuts for Python scripts and applications
 Pyshortcuts helps Python developers and users create shortcuts that
 will run python scripts and other applications.  The shortcuts
 created can go onto the users desktop or into the Start Menu (for
 systems with Start Menus) or both. Pyshortcuts gives a consistent
 interface for building shortcuts that run on Windows, macOS, and
 Linux in the way that is most natural for each OS.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_python3:
	rm -rf debian/*/usr/lib/python3/dist-packages/htmlcov/

=== debian/watch ===
version=4
https://github.com/newville/pyshortcuts/tags .*/v(\d\S+)\.tar\.gz

## python-pyshortcuts 1.9.7

=== debian/changelog ===
python-pyshortcuts (1.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to version 5.
  * Make the build reproducible (closes: #1122999).
  * Add Build-Depends.

 -- Roland Mas <lolando@debian.org>  Sun, 15 Feb 2026 18:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-charset-normalizer,
  python3-setuptools,
  python3-setuptools-scm,
  python3-pytest <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export PYBUILD_AFTER_TEST=rm -fv {build_dir}/htmlcov/status.json
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: newville
Project: pyshortcuts
